Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225867 - Merge Review: gthumb
Summary: Merge Review: gthumb
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:59 UTC by Nobody's working on this, feel free to take it
Modified: 2010-10-06 04:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-05 04:30:29 UTC
panemade: fedora-review+


Attachments (Terms of Use)
build libgthumb static (deleted)
2007-01-31 19:15 UTC, Yanko Kaneti
no flags Details | Diff
spec cleanup (deleted)
2010-09-25 09:48 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 18:59:28 UTC
Fedora Merge Review: gthumb

http://cvs.fedora.redhat.com/viewcvs/devel/gthumb/
Initial Owner: besfahbo@redhat.com

Comment 1 Yanko Kaneti 2007-01-31 19:14:15 UTC
gthumb-2.9.1-1 packs an unversioned shared library in the system dynamic linker
path without apparent outside users.
%{_libdir}/libgthumb.so

It maybe an upstream development and subject to change, but from a distribution
point of view I think its wise to not include it in the package.
Attaching a patch to built the library static. Not sure if thats the proper way
but it seems to achieve the goal here.
It requires an autoreconf and tweaking the filelist.


Comment 2 Yanko Kaneti 2007-01-31 19:15:29 UTC
Created attachment 147040 [details]
build libgthumb static

Comment 3 Behdad Esfahbod 2007-02-01 18:15:21 UTC
The right way to do it is:

-libgthumb_LTLIBRARIES = libgthumb.la
+noinst_LTLIBRARIES = libgthumb.la
 libgthumb_la_LDFLAGS = -avoid-version -no-undefined

So you've checked and only one binary uses this?

Comment 4 Yanko Kaneti 2007-02-01 19:48:16 UTC
(In reply to comment #3)
> The right way to do it is:
> 
> -libgthumb_LTLIBRARIES = libgthumb.la
> +noinst_LTLIBRARIES = libgthumb.la
>  libgthumb_la_LDFLAGS = -avoid-version -no-undefined

gives me trouble when linking the libjpegtran.so module

> So you've checked and only one binary uses this?

at least none that I can see in core or extras
The only users seem to be the gthumb DSO modules in %(_libdir}/gthumb/modules
Which perhaps points that its advisable to still build the shared lib but leave
it in some private ghtumb link path.

Comment 5 Yanko Kaneti 2007-02-01 20:27:33 UTC
-libgthumbdir = $(libdir)
+libgthumbdir = $(libdir)/gthumb

and autoreconf seems to achieve said goal

One more thing

-%configure %{gphoto_flags}
+%configure %{?gphoto_flags}


Comment 6 Behdad Esfahbod 2007-02-02 03:42:30 UTC
(In reply to comment #5)
> -libgthumbdir = $(libdir)
> +libgthumbdir = $(libdir)/gthumb
> 
> and autoreconf seems to achieve said goal

But do the modules then find it?

Comment 7 Yanko Kaneti 2007-02-02 04:16:51 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > -libgthumbdir = $(libdir)
> > +libgthumbdir = $(libdir)/gthumb
> > 
> > and autoreconf seems to achieve said goal
> 
> But do the modules then find it?

yep. Everything appears to work fine.
also
$  readelf -a /usr/bin/gthumb /usr/lib/gthumb/modules/libjpegtran.so  | grep RPATH
 0x0000000f (RPATH)                      Library rpath: [/usr/lib/gthumb]
 0x0000000f (RPATH)                      Library rpath: [/usr/lib/gthumb]



Comment 8 Parag AN(पराग) 2010-09-25 09:48:04 UTC
Created attachment 449580 [details]
spec cleanup

Please commit this patch to clean this package or allow to commit it.

Comment 9 Parag AN(पराग) 2010-10-05 04:30:29 UTC
Fixed in gthumb-2.11.91-3.fc15


APPROVED.


Note You need to log in before you can comment on or make changes to this bug.